package com.sonic.shark.enums;

import lombok.Getter;

/**
 * 业务类型映射bucket关系
 * @Author code
 */
@Getter
public enum S3BizTypeMappingEnum {

    /**
     * 头像
     */
    HEAD_IMAGE(S3BucketNameEnum.SONIC_SHARK, "headImage/", true),

    /**
     * 头像、相册图片上传
     */
    ALBUM(S3BucketNameEnum.SONIC_SHARK, "album/", true),

    /**
     * 角色形象图
     */
    ROLE(S3BucketNameEnum.SONIC_SHARK, "role/", false),

    /**
     * 声音
     */
    SOUND(S3BucketNameEnum.SONIC_SOUND, "sound/", false),

    /**
     * 声音
     */
    SOUND_PATH(S3BucketNameEnum.SONIC_SOUND, "sound/", false),

    /**
     * IM相关
     */
    IM_IMG(S3BucketNameEnum.SONIC_IM, "im/img/", false),

    ;


    /**
     * 映射的S3存储桶
     */
    private S3BucketNameEnum s3BucketNameEnum;

    /**
     * 文件的存储路径
     */
    private String filePath;

    /**
     * 是否需要强制用户登录校验
     */
    private Boolean loginCheck;


    S3BizTypeMappingEnum(S3BucketNameEnum s3BucketNameEnum, String filePath, Boolean loginCheck) {
        this.s3BucketNameEnum = s3BucketNameEnum;
        this.filePath = filePath;
        this.loginCheck = loginCheck;
    }
}
